import { h, Component } from 'preact';
import "./modal.scss"
import Modal from './Modal';


export default class LoadingModal extends Modal<undefined> {
   title = "";
   constructor() {
      super();
   }

   getComponent() {
      return <Modal.BaseModal modal={this}>
         <div class="spinner primary" style="height: 80px; width: 80px; margin: 3rem auto;"></div>
      </Modal.BaseModal>
   }
}